package dev.crucifixbeta.api.interfaces;

import dev.crucifixbeta.api.utils.math.FadeUtils;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public interface IChatHudLineHook {
   int frogClient$getMessageId();

   void frogClient$setMessageId(int i);

   boolean frogClient$getSync();

   void frogClient$setSync(boolean bl);

   FadeUtils frogClient$getFade();

   void frogClient$setFade(FadeUtils fadeUtils);
}
